CREATE TABLE hrg_goal_measurements (
    MEASUREMENT_ID           NUMBER(18, 0) ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)     NOT NULL,
    GOAL_ID                  NUMBER(18, 0)     NOT NULL,
    MEASUREMENT_NAME         VARCHAR2(1600)    NOT NULL,
    COMMENTS                 VARCHAR2(4000),
    START_DATE               DATE          ,
    END_DATE                 DATE          ,
    DISPLAY_SEQUENCE         NUMBER(9, 0)  ,
    MIN_TARGET               NUMBER(18, 2) ,
    TARGET_PERCENTAGE        NUMBER(18, 2) ,
    MAX_TARGET               NUMBER(18, 2) ,
    TARGET_VALUE             NUMBER(18, 2) ,
    ACTUAL_VALUE             NUMBER(18, 2) ,
    ACHIEVED_WEIGHT          NUMBER(18, 2) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    MEASURE_TYPE_CODE        VARCHAR2(120) ,
    TARGET_TYPE              VARCHAR2(120) ,
    UOM_CODE                 VARCHAR2(120) ,
    MEASUREMENT_ID           NUMBER(18, 0) ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)     NOT NULL,
    GOAL_ID                  NUMBER(18, 0)     NOT NULL,
    MEASUREMENT_NAME         VARCHAR2(1600)    NOT NULL,
    COMMENTS                 VARCHAR2(4000),
    START_DATE               DATE          ,
    END_DATE                 DATE          ,
    DISPLAY_SEQUENCE         NUMBER(9, 0)  ,
    MIN_TARGET               NUMBER(18, 2) ,
    TARGET_PERCENTAGE        NUMBER(18, 2) ,
    MAX_TARGET               NUMBER(18, 2) ,
    TARGET_VALUE             NUMBER(18, 2) ,
    ACTUAL_VALUE             NUMBER(18, 2) ,
    ACHIEVED_WEIGHT          NUMBER(18, 2) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    MEASURE_TYPE_CODE        VARCHAR2(120) ,
    TARGET_TYPE              VARCHAR2(120) ,
    UOM_CODE                 VARCHAR2(120) ,
    CONSTRAINT pk_hrg_goal_measurements PRIMARY KEY (MEASUREMENT_ID, MEASUREMENT_ID)
);
